import _extends from "@babel/runtime/helpers/extends";
import _objectWithoutProperties from "@babel/runtime/helpers/objectWithoutProperties";
var _excluded = ["avatar", "link", "className", "description", "title"];
import React from 'react';
import cx from 'classnames';
import theme from './theme.css';
import Avatar from '../avatar';
import Box from '../box';
import Link from '../link';
import Popover from '../popover';
import { Heading3, TextBody } from '../typography';

var EmptyPassport = function EmptyPassport(_ref) {
  var avatar = _ref.avatar,
      link = _ref.link,
      className = _ref.className,
      description = _ref.description,
      title = _ref.title,
      others = _objectWithoutProperties(_ref, _excluded);

  return /*#__PURE__*/React.createElement(Popover, _extends({}, others, {
    backdrop: "transparent",
    className: cx(theme['passport-empty'], className)
  }), /*#__PURE__*/React.createElement(Box, {
    paddingHorizontal: 4,
    paddingVertical: 5
  }, /*#__PURE__*/React.createElement(Box, {
    display: "flex",
    flexDirection: "column",
    alignItems: "center"
  }, avatar && /*#__PURE__*/React.createElement(Avatar, _extends({}, avatar, {
    size: "small",
    marginBottom: 4
  })), /*#__PURE__*/React.createElement(Heading3, {
    color: "teal"
  }, title), description && /*#__PURE__*/React.createElement(TextBody, {
    color: "neutral",
    marginTop: 2
  }, description), link && /*#__PURE__*/React.createElement(TextBody, {
    marginTop: 4
  }, /*#__PURE__*/React.createElement(Link, _extends({}, link, {
    inherit: false
  }))))));
};

export default EmptyPassport;